/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef DIALOUT_H
#define DIALOUT_H

#include <qwidget.h>
#include <qlistbox.h>
#include <qtimer.h>
#include <qdatetime.h>
#include <qlabel.h>
#include <qcolor.h>
#include <qpushbutton.h>

class Dialout:public QWidget
{
  Q_OBJECT

private:
  QPushButton *b_isdnstart;
  QPushButton *b_isdnstop;
  QPushButton *b_hangup;
  QPushButton *b_connect;
  QPushButton *b_counter;

  void isdnscriptfailmessage();
  void loadhisaxmodulfailmessage();
  void readisdninfo();
  void filldialog();
  void errormessage();
  void setisdnstatus(uint);
  bool is_trying();
  bool is_isdnstatustimer;

  QTimer *connecttimer;
  QTimer *isdnstatustimer;
  QTime *onlinetime;

  int onlinecount;

  QColor color;

  QLabel *isdnstatuslabel;
  QLabel *timeconnectedlabel;

  QString isdninfoidmap;
  QString isdninfochmap;
  QString isdninfodrmap;
  QString isdninfousage;
  QString isdninfoflags;
  QString isdninfophone;

  QString isdnstatestr;
  QString currrentisdndevice;
  QString currrentphonenumber;
  QString currrentprovidername;

  enum { OFFLINE, DIAL, ONLINE };

public slots:
  void slothangup();
  void slotconnect();
  void slotisdnstart();
  void slotisdnstop();
  void slotcheckconnect();
  void slotcheckonlinestatus();
  void slotresetcounter();

signals:
  void changeproviderdialout(const QString &, const QString &);
  void removeproviderdialout(const QString &);
  void addproviderdialout(const QString &);
  void setproviderisdncardtab(bool);

public:
  Dialout(QWidget * parent = 0, const char *name = 0);
  ~Dialout();

  QListBox *provider;

  void addprovidername(const QString &);
  void removeprovidername(const QString &);
  void changeprovidername(const QString &, const QString &);
  void setisdnbutton();
  void setbuttons();
};

#endif

















