/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#include "providerdata.h"

ProviderData::ProviderData()
{
  providername = "";
  city = "";
  country = "";
  areacode = "";
  phonenumber = "";
  bundling = "off";
  huptimeout = 360;
  msn = "";
  encapsulation = "syncppp";
  dialmode = "manual";
  isproviderenabled = false;
  callback = "off";
  phone_in = "";
  prefix = "";
  secure = "off";
  cbhup = "";
  cbdelay = "3";
  dialmax = "";
  ip_forward = "";
  ihup = "";
  chargehup = "";
  chargeint = "";
  l2_prot = "hdlc";
  l3_prot = "trans";

  auth = "+pap -chap";
  loginname = "";
  password = "";

  network = "";
  broadcast = "";
  hostname = "";
  dns = "";
  domain = "";
  localip = "";
  remoteip = "";

  islocalipenabled = false;
  isremoteipenabled = false;
  
  unknown = QStrList(TRUE);
  unknown.setAutoDelete(TRUE);
  
  deldefaultroute = "enabled";
}

bool ProviderData::iscallbackenabled()
{
  return(callback == "out" ? true : false);
}

bool ProviderData::issecureenabled()
{
  return(secure == "on" ? true : false);
}

bool ProviderData::isbundlingenabled()
{
  return(bundling == "on" ? true : false);
}

ProviderData::~ProviderData()
{
}
