/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef PROVIDERDATA_H
#define PROVIDERDATA_H

#include <qstring.h>
#include <qstrlist.h>

class ProviderData
{
 public:
  QString providername;
  QString city;
  QString country;
  QString bundling;
  QString areacode;
  QString phonenumber;
  uint huptimeout;
  QString msn;
  QString encapsulation;
  QString dialmode;
  bool isproviderenabled;
  QString callback;
  QString phone_in;
  QString prefix;
  QString secure;
  QString cbhup;
  QString cbdelay;
  QString dialmax;
  QString ip_forward;
  QString ihup;
  QString chargehup;
  QString chargeint;
  QString l2_prot;
  QString l3_prot;

  QString auth;
  QString loginname;
  QString password;

  QString network;
  QString broadcast;
  QString hostname;
  QString dns;
  QString domain;
  QString localip;
  QString remoteip;
  bool islocalipenabled;
  bool isremoteipenabled;

  QStrList unknown;

  QString deldefaultroute;

  bool iscallbackenabled();
  bool issecureenabled();
  bool isbundlingenabled();

  ProviderData();
  ~ProviderData();
};

#endif
