/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef PROVIDERDB_H
#define PROVIDERDB_H

#include <qdialog.h>
#include <qlistview.h>

#include "isdndb.h"
#include "generaldata.h"

class ProviderDb:public QDialog
{
  Q_OBJECT

private:
  ISDNDB *db;
  ISDNDBData *select;
  QListView *TreeList;

  QListViewItem *country;
  QListViewItem *city;
  QListViewItem *pname;
  QListViewItem *provideritem;

  QPushButton *OK;
  QPushButton *Cancel;

  QString dbfile;

  void noProviderSelected();

private slots:
  void accept();

public:
  ProviderDb(const char *isdndb = 0L, QWidget * parent =
             0L, const char *name = 0L);
  ~ProviderDb();

  ISDNDBData *selectEntry() {
    return select;
  };

  QString msn;
};

extern ISDNDBData *selectEntry();

#endif
