/* Copyright 2000 Red Hat, Inc.
 *
 * Than Ngo <than@redhat.de>
 *
 * This software may be freely redistributed under the terms of the GNU
 * public license.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */



#include "resourcedata.h"

// ISDN Cardtype, type, irq, io, io1, io2, mem, pci_id, firmware, module
// extended array to provide a module name. Aug. 2002 -KK
const char *ResourceData::isdntype[] = {
  "ACER P10", "30", "5", "0x300", "", "", "", "","","hisax",
  "ASUS COM ISDNLink", "12", "5", "0x200", "", "", "", "","","hisax",
  "AVM A1 (Fritz)", "5", "10", "0x300", "", "", "", "","","hisax",
  "AVM B1 PCI Adapter", "", "", "", "", "", "", "12440700","","b1pci",
  "AVM PnP", "27", "5", "0x300", "", "", "", "","","hisax",
  "AVM PCI (Fritz!PCI)", "27", "", "", "", "", "", "12440a00","","hisax",
  "AVM PCI (Fritz!PCI v2.0)", "", "", "", "", "", "", "12440e00","","hisax_fcpcipnp",
  "AVM T1 ISDN", "", "", "", "", "", "", "12441200","","t1pci",
  "Compaq ISDN S0 ISA", "19", "5", "0x0000", "0x0000", "0x0000", "", "","","hisax",
  "Creatix Teles PnP", "4", "5", "0x0000", "0x0000", "", "", "","","hisax",
  "Dr. Neuhaus Niccy PnP", "24", "5", "", "0x0000", "0x0000", "", "","","hisax",
  "Dr. Neuhaus Niccy PCI", "24", "", "", "", "", "", "12671016","","hisax",
  "Eicon.Diehl Diva ISA PnP", "11", "9", "0x180", "", "", "", "","","hisax",
  "Eicon.Diehl Diva 20PRO PCI", "11", "", "", "", "", "", "1133e001","","hisax",
  "Eicon.Diehl Diva 20 PCI", "11", "", "", "", "", "", "1133e002","","hisax",
  "Eicon.Diehl Diva 20PRO_U PCI", "11", "", "", "", "", "1133e003", "","","hisax",
  "Eicon.Diehl Diva 20_U PCI", "11", "", "", "", "", "", "1133e004","","hisax",
  "ELSA PCC/PCF", "6", "", "", "", "", "", "","","hisax",
  "ELSA Quickstep 1000", "7", "5", "0x300", "", "", "", "","","hisax",
  "ELSA Quickstep 1000 PCI", "18", "", "", "", "", "", "10481000","","hisax",
  "ELSA Quickstep 3000 PCI", "18", "", "", "", "", "", "10483000","","hisax",
  "Gazel cards ISA", "34", "5", "0x300", "", "", "", "","","hisax",
  "Gazel cards PCI", "34", "", "", "", "", "", "10b51030","","hisax",
  "HFC-2BS0 based cards ISA", "13", "9", "0xd80", "", "", "", "","","hisax",
  "HFC-2BS0 based cards PCI", "35", "", "", "", "", "", "13972bd0","","hisax",
  "HST Saphir", "31", "5", "0x300", "", "", "", "","","hisax",
  "ITK ix1-micro Rev.2", "9", "9", "0xd80", "", "", "", "","","hisax",
  "MIC card", "17", "9", "0xd80", "", "", "", "","","hisax",
  "NETjet PCI", "20", "", "", "", "", "", "e1590001","","hisax",
  "Sedlbauer PC 104", "15", "9", "0xd80", "", "", "", "","","hisax",
  "Sedlbauer Speed PCI", "15", "", "", "", "", "", "","","hisax",
  "Sedlbauer Speed Card", "15", "9", "0xd80", "", "", "", "","","hisax",
  "Sedlbauer Speed Fax+", "28", "9", "0xd80", "", "", "", "","hisaxctrl HiSax 9 /usr/lib/isdn/ISAR.BIN","hisax",
  "Sedlbauer Speed fax+ PCI", "28", "", "", "", "", "", "e1590002","hisaxctrl HiSax 9 /usr/lib/isdn/ISAR.BIN","hisax",
  "Siemens I-Surf 1.0", "29", "9", "0xd80", "", "", "0xd000", "","","hisax",
  "Telekom A4T", "32", "", "", "", "", "", "","","hisax",
  "Teles 8.0", "2", "9", "", "", "", "0xd800", "","","hisax",
  "Teles 16.0", "1", "5", "0xd80", "", "", "0xd000", "","","hisax",
  "Teles 16.3", "3", "9", "0xd80", "", "", "", "","","hisax",
  "Teles 16.3c PnP", "14", "9", "0xd80", "", "", "", "","","hisax",
  "Teles PCI", "21", "", "", "", "", "", "","","hisax",
  "Teles PnP", "4", "5", "0x0000", "0x0000", "", "", "","","hisax",
  "Teles S0Box", "25", "7", "0x378", "", "", "", "","","hisax",
  "USR Sportster intern", "16", "9", "0xd80", "", "", "", "","","hisax",
  "W6692 based PCI cards", "36", "", "", "", "", "", "10506692","","hisax",
  NULL
};

ResourceData::ResourceData()
{
  isdncardname = "Teles 16.3";
  irq = 9;
  mem = "";
  io = "0xd80";
  io1 = "";
  io2 = "";
  protocol = 2;	// Euro ISDN
//  id = "HiSax";	// HiSax
  id = "";
  type = 3;	// Teles 16.3c
  module = "hisax";
  isenabled = false; // set no isdncard as default
  pci_id="";
}

ResourceData::~ResourceData()
{
}
